<?php
$target='guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");

$nombrepagina = "CREACION DE PLANILLA";
encabezado($target);
//$nombre_u=$nombre_usuario;
//$pass=$password;
$user=$_SESSION['validar'];
//entrada($user,$_GET['id_user'],$_GET['suc']);
$filas=1;
if($filas == 1)
{
	//$conn=mysql_connect("localhost", "root", "1234");
	//menu($id_user);
	class llamado{
		var $menuObj;
		//var
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	//echo"<br><br>";
	mostrar_cabeza_trabajo($nombrepagina);

	//$this->conexionObj2=new conexion();
	//$this->conexionObj2->conectarse();
	class obtiene{
		var $userObj;
		function obtener($perfil){
			$this->userObj=new select_zonas();
			$tabla=$this->userObj->get_tabla($_GET['suc']);
			$_SESSION['tabla_guia']=$tabla;
		}
	}
	$_SESSION['tabla_guia'] = "guias_proceso";
	//$eliminaObj=new obtiene();
	//$eliminaObj->obtener($suc);
	$tabla=$_SESSION['tabla_guia'];
	$pla=$_SESSION['planilla'];



?>
<link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
<link rel="stylesheet" href="css/modal-message.css" type="text/css">
<script type="text/javascript" src="js/modal-message.js"></script>
<script type="text/javascript">
messageObj = new DHTML_modalMessage();	// We only create one object of this class
messageObj.setShadowOffset(0);	// Large shadow
function displayStaticMessage(messageContent,cssClass,src)
{


	document.backup.guia.disabled=true;
	messageObj.setHtmlContent(messageContent);
	messageObj.setSize(450,120);
	messageObj.setCssClassMessageBox(cssClass);
	messageObj.setSource(false);	// no html source since we want to use a static message here.
	messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
	// 	//messageObj.setShadowDivFocus(false);
	// 	//matrix.src = "imagenes/loader.gif";
	messageObj.display();

}
function closeMessage(){

	//(evt)
	//alert('entra');
	/*var con=0;
	var charCode = (window.event.which) ? window.event.which : window.event.keyCode//código de tecla.
	if(charCode==27) {//si no es número.
	con=0;
	}else{
	con=1;
	return false;
	}
	if(con==0) messageObj.close();	document.backup.guia.disabled=false; document.backup.guia.focus();*/
}

function cierraMessage()
{
	messageObj.close();
	document.backup.guia.disabled=false;
	document.backup.guia.focus();
}


function reproducir() {
	document.all['cancion'].src='sound/alert.wav'
}

</script>
<form action="" method="POST" name="backup"><CENTER>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccionar Mensajero a Planillar ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Mensajero:
</td>
<td width="200" class="miTable_td">
<select name="mensajero" class="inputbox" style="width:30em;">
<?
get_mensajero($_GET['suc'],$_POST['mensajero']);
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
No Guia:
</td>
<td width="200" class="miTable_td">
<input type="text" name="guia" class="inputbox">
<input type="hidden" name="cantidad" class="inputbox" value="<? if ($_POST['cantidad']==''){ echo '1';}else{ echo $_POST['cantidad']+1;}?>">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Crear Planilla" class="inputbox">
</div>
</td>
</tr>
</table>
	 <?



	 if(!isset($guia)){
	 	//echo "No ha dado click en boton";

	 }else{

	 	class crearSucursal{
	 		var $crearObj;
	 		var $conexionObj;
	 		var $estado;

	 		function validar($id_mens,$guia,$cant,$tabla){
	 			$this->conexionObj= new conexion();
	 			$this->conexionObj->conectarse();
	 			$id_pla=ConsultaPlanilla($id_mens);
	 			if($id_pla==0){
	 				$rst_crear_planilla=$this->conexionObj->consultar("INSERT INTO planillas VALUES (0, date(now()), time(now()), '".$_GET['id_user']."', '0', '".$id_mens."', '".$_GET['suc']."')");
	 				$id_pla=ConsultaPlanilla($id_mens);
	 			}
	 			$retor=$this->conexionObj->consultar("select count(*) from guias_proceso where id_planilla='".$id_pla."'");
	 			$cnt_planilla=@mysql_fetch_array($retor);
	 			$cnt_plan=$cnt_planilla[0];
	 			$this->conexionObj->consultar("update planillas set cantidad='".$cnt_plan."' where id_planilla='".$id_pla."'");
	 			$rst_select=$this->conexionObj->consultar("SELECT id_planilla, identificacion, nombre, cantidad ".
	 			"FROM planillas as p inner join mensajeros as m on p.id_mensajero=m.id_mensajero ".
	 			"WHERE p.id_mensajero='".$id_mens."' ORDER BY id_planilla DESC");
	 			$tomar_planilla=mysql_fetch_array($rst_select);
	 			$planilla=$tomar_planilla[0];
	 			$_SESSION['planilla']=$planilla;
	 			$cc=$tomar_planilla[1];
	 			$nombre=$tomar_planilla[2];
	 			$cant_guias=$cnt_plan;
	 			#$tomar_planilla[3];
	 			//$rst_select_mens=$this->conexionObj->consultar("SELECT * FROM mensajeros WHERE id_mensajero='".$id_."'");
	 			$rst_validar=$this->conexionObj->consultar("SELECT *FROM ".$tabla." WHERE guia='".$guia."'");
	 			//echo "SELECT * FROM $tabla WHERE guia='".$guia."'".'<br>';
	 			//
	 			if(mysql_num_rows($rst_validar)){
	 				$reenvio=guias_reenvio($guia);
	 				$this->insertarDatos($id_mens,$guia,$cant,$planilla,$tabla,$cc,$nombre,$cant_guias,$reenvio);

	 			}else{
	 				$sql="select * from info_empresa ";
	 				$ruta_logo=logo($sql);

	 				echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
					<td class=miTable_th1><div align="center">
					..:: PLANILLA No '.$planilla.' ::..</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					CODIGO OPERADOR '.$cc.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					NOMBRE OPERADOR '.$nombre.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					CANTIDAD '.$cant_guias.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
					<td class=miTable_th1><div align="center"></div></td></tr></table>';
	 				if($_POST['cantidad']>=1){
	 					echo '<table width="400" border="0"><tr><td align="center">';
	 					echo '<a href="Pdf/planilladetallada.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'&ruta='.$ruta_logo.'&id_men='.$id_mens.' " target="_blank">Ver Guias Planilladas Detalle</a></td>';
	 					echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'&id_men='.$id_mens.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
	 					echo '</tr></table>';
	 				}
	 				echo '</center>';
	 				$msgBOX2 = "No Existe La Guia No ".$guia;
	 				echo "<script>
						  alert('$msgBOX2');
						  </script>";
	 			}

	 		}
	 		function insertarDatos($id_mens,$guia,$cant,$planilla,$tabla,$cc,$nombre,$cant_guias,$reenvio){
	 			$sql="select * from info_empresa ";
	 			$ruta_logo = logo($sql);
	 			if ($reenvio==1){
	 				$estado=17;
	 			}else{ //si no es reenvio siono normal
	 				$estado=13;
	 			}
	 			$rst_insertar=$this->conexionObj->modificar("UPDATE ".$tabla." SET id_mensajero = '".$id_mens."', id_estado = ".$estado.", id_planilla = '$planilla' WHERE guia = '".$guia."' AND id_mensajero = '0' AND id_sucursal = '".$_GET['suc']."' AND (id_estado='12' OR id_estado='19' or id_estado='16' )");

	 			$affected_rows = mysql_affected_rows();

	 			//$this->userObj=new select_zonas();
	 			//$tabla_rastreo=$this->userObj->get_tabla_rastreo($_GET['suc']);
	 			$tabla_rastreo = 'rastreo_guias';
	 			if($affected_rows>=1){
	 				$rst_validar=$this->conexionObj->consultar("SELECT E19 FROM ".$tabla_rastreo." WHERE guia = '".$guia."' ORDER BY id DESC");
	 				$reenv=mysql_fetch_array($rst_validar);
	 				$valida=$reenv[0];
	 				$this->userObj=new select_zonas();
	 				if($valida==0){
	 					//$id=$this->userObj->get_id($guia);
	 				}else{
	 					$rst_insertar=$this->conexionObj->consultar("INSERT INTO ".$tabla_rastreo." (guia) values ('".$guia."')");
	 					//$id=$this->userObj->get_id($guia);
	 				}

	 				$rst_select=$this->conexionObj->modificar("UPDATE $tabla_rastreo SET E$estado='$estado', F$estado = NOW() WHERE guia = '$guia'");
	 				$rst_update_planilla=$this->conexionObj->modificar("UPDATE planillas SET cantidad = cantidad+1 WHERE id_planilla = '".$planilla."'");
	 				$cant_guias=$cant_guias+1;
	 				echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
				<td class=miTable_th1><div align="center">
				..:: PLANILLA No '.$planilla.' ::..</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				CODIGO OPERADOR '.$cc.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				NOMBRE OPERADOR '.$nombre.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				CANTIDAD '.$cant_guias.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_th1><div align="center"></div></td></tr></table>';
	 				if($_POST['cantidad']>=1){
	 					echo '<table width="400" border="0"><tr><td align="center">';
	 					echo '<a href="Pdf/planilladetallada.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'&ruta='.$ruta_logo.'&id_men='.$id_mens.'" target="_blank">Ver Guias Planilladas Detalle</a></td>';
	 					echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'&id_men='.$id_mens.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
	 					echo '</tr></table>';
	 				}
	 				echo '</center>';
	 			}else{
	 				echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
				<td class=miTable_th1><div align="center">
				..:: PLANILLA No '.$planilla.' ::..</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				CODIGO OPERADOR '.$cc.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				NOMBRE OPERADOR '.$nombre.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				CANTIDAD '.$cant_guias.'</div></td></tr>';
	 				echo '<tr class=miTable_tr>
				<td class=miTable_th1><div align="center"></div></td></tr></table>';
	 				if($_POST['cantidad']>=1){
	 					echo '<table width="400" border="0"><tr><td align="center">';
	 					echo '<a href="Pdf/planilladetallada.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'&ruta='.$ruta_logo.'" target="_blank">Ver Guias Planilladas Detalle</a></td>';
	 					echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla='.$_SESSION['planilla'].'&tabla='.$tabla.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
	 					echo '</tr></table>';
	 				}
	 				echo '</center>';
	 				echo "<input type='button' name='prueba' id='prueba' style='visibility:hidden' onclick=\"displayStaticMessage('<div name=ventana align=center onKeyPress=\'return closeMessage();\'><font color=#008400 size=5><b>Este Numero de Guia Esta Planillada, Por Favor Rectificar</b><br><br><input type=submit name=cerrar tabindex=1 value=Cerrar onKeyPress=\'return closeMessage();\' onclick=\'return cierraMessage();\'></div>',false);\">";
				?>
				<script>
				document.backup.prueba.click();
	  		</script>
				 <?
	 			}
	 		}

	 	}// FIN DE LA CLASE CREARUSUARIO
	 	// CREACION DEL OBJETO
	 	$crearSucursalObj=new crearSucursal();
	 	// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
	 	// LAMANDO EL METODO DE NEGOCIO
	 	$crearSucursalObj->validar($_POST['mensajero'],$_POST['guia'],$_POST['cantidad'],$_POST['tabla']);


	 }



	 mostrar_pie();
}
//$pla=$_SESSION['planilla'];
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
	  <img src="imagenes/recursos/envia.gif" alt="" title="" border=0>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";

	echo"</center>";
	echo"</body>";
	echo"</html>";

?>
</CENTER>
</form>
